summaryrefslogtreecommitdiff
path: root/netzbon/check-distro.sh
diff options
context:
space:
mode:
Diffstat (limited to 'netzbon/check-distro.sh')
-rwxr-xr-xnetzbon/check-distro.sh28
1 files changed, 14 insertions, 14 deletions
diff --git a/netzbon/check-distro.sh b/netzbon/check-distro.sh
index 4eb7b64..ab91591 100755
--- a/netzbon/check-distro.sh
+++ b/netzbon/check-distro.sh
@@ -2,23 +2,23 @@
DISTRO=$(hostnamectl | grep 'Operating System' | cut -d ' ' -f 3-)
-echo $DISTRO
+echo "$DISTRO"
COUNT=$(grep -c "$DISTRO" distros-supported.txt)
-echo $COUNT
+echo "$COUNT"
+
+GOON="n"
if [[ $COUNT -ne 1 ]]; then
- echo "Distro not supported"
- echo "Please check distro list ..."
- sleep 10
- exit 1
-else
- echo "Your distro is supported. Installation can continue ..."
- sleep 3
+ echo "Your distro or distro release, is not supported."
+ echo "Please check distros-supported.txt."
+ read -r -p "Do you want to continue in any case, answer: y/n ? " GOON
+ if [[ $GOON = 'y' ]]; then
+ echo "Retaking installation ..."
+ else
+ echo "Existing installation..."
+ sleep 2
+ exit 1
+ fi
fi
-
-
-
-
-